Android插件在eclipse中安装问题

我正在尝试安装ADT插件。 我去帮助在eclipse中安装新的软件,然后select开发工具后,我得到这个错误

Cannot complete the install because one or more required items could not be found. Software being installed: Android Traceview 16.0.1.v201112150204-238534 (com.android.ide.eclipse.traceview.feature.group 16.0.1.v201112150204-238534) Missing requirement: Android Traceview 16.0.1.v201112150204-238534 (com.android.ide.eclipse.traceview.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.ui 3.6.2' but it could not be found 

编辑我有eclipse 3.5.2

Solutions Collecting From Web of "Android插件在eclipse中安装问题"

我没有找到任何解决方案。 而不是使用eclipse安装

sudo apt-get install eclipse

我从网页上下载了它,然后启动(下载的)eclipse,使用该版本,它工作得很好

您需要先安装GEF和WST。

GEF更新站点: http : //download.eclipse.org/tools/gef/updates/releases/ (dead)

WST更新站点: http : //download.eclipse.org/releases/galileo

我有同样的问题,以管理员身份运行eclipse,并尝试再次安装ADT插件,它的工作原理。

似乎有一些版本不匹配。 你在使用eclipse 3.6.2或更旧版本吗?

http://developer.android.com/sdk/eclipse-adt.html提到ADT 16.0.1需要eclipse 3.6及更高版本。

另外,在更新adt之前,检查是否安装了/更新了最新的android SDK。 这可能有助于你的情况。

如果你不能升级你的Eclipse(像我一样)。 将其用作本地存档,以安装支持Eclipse 3.5的ADT 15.0.0。

http://dl.google.com/android/ADT-15.0.0.zip

我发现使用64位版本的黯然失色给了我这个错误! 尝试使用32位版本,看看是否修复它! =)

我有同样的问题。 我通过在控制台中打开eclipse来解决它:sudo eclipse

你只需要Ecplise Helios

ADT 16.0.1(2011年12月)

依赖关系:

  Eclipse Helios (Version 3.6) or higher is required for ADT 16.0.1. ADT 16.0.1 is designed for use with SDK Tools r16. If you haven't already installed SDK Tools r16 into your SDK, use the Android SDK Manager to do so. 

取自http://developer.android.com/sdk/eclipse-adt.html

在Ubuntu 11.10上,

我用sudo apt-get install eclipse下载了Eclipse

  • 安装了Android SDK
  • 在Eclipse中安装ADT PLugin(Eclipse必须以sudo启动,否则你会得到lukap提到的错误)

有一个简单的解决方案,只需选择所有可用的网站..在与..空间的工作,并选择你想安装的Android包

在Windows 7中,打开eclipse时选择“以管理员身份运行”。 这给eclipse所需的权限,并应该消除错误。 这适用于64位程序。

我有类似的问题,试图安装ADT插件,但不完全一样。

我通过帮助>检查更新来解决它,只是安装了当前可用的更新,重新启动Eclipse,然后尝试再次安装ADT插件,它工作得很好。

我使用eclipse(helios版本3.6.2),并试图安装android SDK,但我失败与上述错误。

我找到了这个问题的解决方案。

选择“可用软件站点”列表

http://download.eclipse.org/releases/helios/201102250900(Helios )和http://download.eclipse.org/releases/helios(Helios Milestone Repository)

如果使用galileo,请从可用的sw站点列表中选择合适的版本。 “检查更新”(获取Helios更新),然后安装插件。

本地安装(在xubuntu上测试) – 请观看视频

http://www.youtube.com/watch?v=HCNC34BflOo&feature=player_embedded#

不久:

1)从eclipse运行

root-> help – >安装新的软件 – >添加

名称:更新(S),网址: http : //download.eclipse.org/releases/indigo (3.7.x,juno 4.2.x)

或者如果路径存在,则在菜单“工作”中选择

2)选择“linux开发”安装,所有warnig /错误pakages掀起

3)安装完成后重新安装ADT Plugin,并选择path-to-android-sdk

4)磁带(写)错误到我们的Linux分销供应商:)

请享用! PS单独安装 – 好主意:)